%define logmsg logger -t %{name}/rpm
%define _rootdir /usr/local/opmon
%define _modname statusgrid

Summary: OpMon status grid module
Name: opmon-statusgrid
Version: %{_op_major_version}.%{_op_minor_version}
Release: %{_op_release}
License: Proprietary
Group: Applications/System
URL: http://www.opservices.com.br
BuildArch: noarch

Packager: OpServices <info@opservices.com.br>
Vendor: OpServices, http://www.opservices.com.br

Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

#BuildRequires: mysql-server, mysql, mysql, httpd, php-common, php-cli, php-mysql

Requires: opmon-opinterface >= %{_op_major_version}
Provides: opmon-statusgrid
Obsoletes: opservices-statusgrid

%description
OpMon status grid module

%prep
%setup

%build
	

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_rootdir}/share/seagull/modules/%{_modname}
%{__mkdir} -p %{buildroot}%{_rootdir}/db
%{__cp} db/%{_modname}.sql %{buildroot}%{_rootdir}/db/
%{__rm} -rf db
%{__cp} -rp . %{buildroot}%{_rootdir}/share/seagull/modules/%{_modname}/

%pre

%post
# Database update
/usr/bin/php /usr/local/opmon/db/updatedb.php statusgrid.sql

%preun

%postun

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, opuser, apache, 0755)
/usr/local/opmon/share/seagull/modules/statusgrid/
/usr/local/opmon/db/statusgrid.sql

%changelog

